Bug Hunting Session
Bug 47893 - Complete Genitives for first names
Summary: Complete Genitives for first names
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Dictionaries
  Show dependency treegraph
 
Reported: 2012-03-26 03:30 UTC by Wyndham Clampett
Modified: 2017-11-02 18:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot illustrating the problem (110.61 KB, image/jpeg)
2012-03-26 03:30 UTC, Wyndham Clampett
Details
Testdoc with some words. (10.80 KB, application/vnd.oasis.opendocument.text)
2014-06-28 01:52 UTC, Thomas Arnhold
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wyndham Clampett 2012-03-26 03:30:39 UTC
Created attachment 59057 [details]
Screenshot illustrating the problem

Problem description: 
Spell & Grammar check doesn't seem to understand the possessive apostrophe, and continually flags these up as errors - see screenshot.

Steps to reproduce:
1. ....
2. ....
3. ....

Current behavior:
Flags up words containing a possessive apostrophe

Expected behavior:
Don't

For example: LibreOffice's anything should not come up as an error...

The only way around this I could find is to add to the dictionary, which is bad as the dictionary is being filled up with words that should not need to be there.

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/535.11 (KHTML, like Gecko) Chrome/17.0.963.65 Safari/535.11
Comment 1 Rainer Bielefeld Retired 2012-03-30 03:16:07 UTC
[Reproducible] with "LibreOffice 3.5.2.2 German UI/Locale [Build-ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45f] on German WIN7 Home Premium (64bit)

I additionally found missing "Diana's".

Might be NOTOURBUG, I do not know from what source our dictionaries are.
Comment 2 Thomas Arnhold 2014-06-28 01:52:12 UTC
Created attachment 101903 [details]
Testdoc with some words.
Comment 3 Thomas Arnhold 2014-06-28 01:53:01 UTC
"Diana's" works fine, but "Meredith's" is still broken.
Comment 4 Thomas Lendo 2017-10-30 19:11:57 UTC
Is this something a LibO developer can change or is this a problem of the dictionaries?
Comment 5 Marco A.G.Pinto 2017-10-30 22:34:33 UTC
Hello!

I am maintaining the GB speller for around four years already.

See the Project's page:
http://marcoagpinto.cidadevirtual.pt/proofingtoolgui.html

In the README link I have written:
Main difficulties developing this dictionary:
1) Proper names;
2) Possessive forms;
3) Plurals.

What happens is that all possible forms must be added to be accepted.

So, if I only have:
1) Marco
But not also
2) Marco's
The speller will flag 2) as a typo.

This is an ongoing task.

At first I was adding proper names without 's but for a couple of years or so that every time I add one, I search in Wikipedia for the possessive form.

If you wish, you can open a case in GitHub with the missing words:
https://github.com/marcoagpinto/aoo-mozilla-en-dict
or send me a private e-mail.

Notice also that days ago I submitted the versions of the English spellers that will be shipped with LO 6.0 next year, which means that even if I add the missing words, people will only have them working if they download the speller extension or probably in LO 6.1.

:-)
Comment 6 Marco A.G.Pinto 2017-10-30 22:35:43 UTC Comment hidden (no-value)
Comment 7 Marco A.G.Pinto 2017-11-02 09:07:56 UTC
(In reply to Thomas Arnhold from comment #3)
> "Diana's" works fine, but "Meredith's" is still broken.

Fixed!
19217) Meredith's (added +'s - name - Wikipedia)